summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorsu_v <suv-sf@users.sourceforge.net>2015-12-07 10:00:35 +0000
committer~suv <suv-sf@users.sourceforge.net>2015-12-07 10:00:35 +0000
commit457c41675d69c7463c3590ad9b8e43bcae20e611 (patch)
tree43d1f8d4e350a3070944bbd7bb4ad265c1b6ed02 /packaging
parentmerge from trunk (r14473) (diff)
parentRemove leftover assert. (diff)
downloadinkscape-457c41675d69c7463c3590ad9b8e43bcae20e611.tar.gz
inkscape-457c41675d69c7463c3590ad9b8e43bcae20e611.zip
merge from trunk (r14506)
(bzr r14425.1.4)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh5
-rwxr-xr-xpackaging/macosx/osx-build.sh1
-rw-r--r--packaging/macosx/ports/devel/inkscape-packaging/Portfile3
3 files changed, 8 insertions, 1 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index d4bfee285..2a6e9ed15 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -247,6 +247,11 @@ if ! pkg-config --exists poppler; then
exit 1
fi
+if [ ! -e "$LIBPREFIX/lib/libpotrace.dylib" ]; then
+ echo "Missing potrace -- please install potrace and try again." >&2
+ exit 1
+fi
+
if ! pkg-config --exists ImageMagick; then
echo "Missing ImageMagick -- please install ImageMagick and try again." >&2
exit 1
diff --git a/packaging/macosx/osx-build.sh b/packaging/macosx/osx-build.sh
index d5e428a0c..048523143 100755
--- a/packaging/macosx/osx-build.sh
+++ b/packaging/macosx/osx-build.sh
@@ -395,6 +395,7 @@ Included dependency versions (build or runtime):
LibWPG $(checkversion libwpg-0.2 libwpg)
Libcdr $(checkversion libcdr-0.0 libcdr)
Libvisio $(checkversion libvisio-0.0 libvisio)
+ Potrace $(checkversion potrace potrace)
Included python modules:
lxml $(checkversion py27-lxml py27-lxml)
numpy $(checkversion py27-numpy py27-numpy)
diff --git a/packaging/macosx/ports/devel/inkscape-packaging/Portfile b/packaging/macosx/ports/devel/inkscape-packaging/Portfile
index 57d682cc3..de5d9ef35 100644
--- a/packaging/macosx/ports/devel/inkscape-packaging/Portfile
+++ b/packaging/macosx/ports/devel/inkscape-packaging/Portfile
@@ -51,7 +51,8 @@ depends_build-append port:popt \
port:ImageMagick \
port:gtkspell2 \
port:aspell-dict-en \
- port:poppler
+ port:poppler \
+ port:potrace
# ports for Inkscape.app
depends_build-append port:gnome-icon-theme \